#include <bits/stdc++.h>
#define int long long
#define endl '\n'
using namespace std;
void solve()
{
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)cin>>a[i];
    int ans=0,x=0;
    map<int,int>m;
    for(int i=n-1;i>=0;i--)
    {
        if(m[a[i]])a[i]++;
        if(a[i]-x<=0)break;
        ans+=a[i]-x;
        x++;
        m[a[i]]++;
    }
    cout<<ans;
}
int32_t main()
{
    ios_base::sync_with_stdio(false);
    cout.tie(nullptr);cin.tie(nullptr);
    int ut=1;
//    cin>>ut;
    while(ut--)solve();
}
